View Issue Details

IDProjectCategoryView StatusLast Update
0004002unrealircdpublic2015-09-07 13:00
ReporterkatsklawAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.2.9-RC1 
Target VersionFixed in Version4.0.0-rc1 
Summary0004002: Add a compile flag for Remote Includes
DescriptionThis will allow easier troubleshooting by simply doing a /version on the server to see if RI is compiled in or not. Currently the only way to tell is to watch the startup banner which will affect connected end-users if the ircd has to be restarted just to see if Remote Includes is compiled.
TagsNo tags attached.
3rd party modules

Activities

katsklaw

2011-02-05 00:16

reporter   ~0016590

Last edited: 2011-02-05 00:18

View 2 revisions

I forgot that opers can tell in /version since it returns loaded libs too, but this will allow deny::version block usage.

ohnobinki

2011-02-23 03:03

reporter  

unreal-4002-serverflags-curl.patch (473 bytes)

ohnobinki

2011-02-23 03:05

reporter   ~0016602

unreal-4002-serverflags-curl.patch: Makes it so that 'r' shows up in the VERSION flags, I think its three lines are all that's needed:

VERSION
:test.ohnopub.net 351 bonki Unreal3.2.9-rc1. test.ohnopub.net :FhinXOoEr [*=2310]

katsklaw

2011-02-24 02:19

reporter   ~0016603

cool, glad it was an easy fix. now non-opers can tell if the server is remote inc if they are that curious.

ohnobinki

2011-02-24 03:23

reporter   ~0016604

You sound like you're confident this will show up in the next unreal :-p. Just having a patch here doesn't mean that syzop will accept it or determine what version it might show up in. And, I myself don't have any idea if this is likely to break stuff or even worth supporting (and you're the only one who has expressed an opinion either way so far ;-)). I'm not saying it won't go anywhere either, though.

katsklaw

2011-02-24 17:29

reporter   ~0016605

Last edited: 2011-02-24 18:24

View 3 revisions

well, it may not show up in the next version of unreal, but it's in the next version of my modified ircd. I'll let you know if it breaks, though it's doubtful considering what's been added.

syzop

2015-08-08 16:46

administrator   ~0018619

didn't check current code nor the patch, but if this still isnt in, then put it in 3.4.x.

syzop

2015-09-07 12:59

administrator   ~0018691

Added (as flag 'r'). https://github.com/unrealircd/unrealircd/commit/493ac9aec949feaed88f17e80f1ccf54c9a40672

Issue History

Date Modified Username Field Change
2011-02-02 20:09 katsklaw New Issue
2011-02-05 00:16 katsklaw Note Added: 0016590
2011-02-05 00:18 katsklaw Note Edited: 0016590 View Revisions
2011-02-23 03:03 ohnobinki File Added: unreal-4002-serverflags-curl.patch
2011-02-23 03:05 ohnobinki Note Added: 0016602
2011-02-24 02:19 katsklaw Note Added: 0016603
2011-02-24 03:23 ohnobinki Note Added: 0016604
2011-02-24 17:29 katsklaw Note Added: 0016605
2011-02-24 17:29 katsklaw Note Edited: 0016605 View Revisions
2011-02-24 18:24 katsklaw Note Edited: 0016605 View Revisions
2015-08-08 16:46 syzop Note Added: 0018619
2015-09-07 12:59 syzop Note Added: 0018691
2015-09-07 12:59 syzop Status new => resolved
2015-09-07 12:59 syzop Fixed in Version => 4.0.0-rc1
2015-09-07 12:59 syzop Resolution open => fixed
2015-09-07 12:59 syzop Assigned To => syzop